import numpy as np
import matplotlib.pyplot as plt
from matplotlib import rcParams
from mrinversion.utils import get_polar_grids
# ...
rcParams['pdf.fonttype'] = 42 # for exporting figures as illustrator editable pdf.
# ...
# a function to plot the 2D tensor parameter distribution
def plot2D(ax, csdm_object, title=''):
    # convert the dimension from `Hz` to `ppm`.
    csdm_object.dimensions[0].to('ppm', 'nmr_frequency_ratio')
    csdm_object.dimensions[1].to('ppm', 'nmr_frequency_ratio')
# ...
    levels = (np.arange(9)+1)/10
    ax.contourf(csdm_object, cmap='gist_ncar', levels=levels)
    ax.grid(None)
    ax.set_title(title)
    ax.set_aspect("equal")
# ...
    # The get_polar_grids method place a polar zeta-eta grid on the background.
    get_polar_grids(ax)
